# MSRPProtocol::Message::Chunk Struct Reference

`#include <msrp.h>`

## Public Member Functions

| Chunk (const PString &id, unsigned from, unsigned len)

## Data Fields

PString | m_chunkId
unsigned | m_rangeFrom
unsigned | m_rangeTo

## Constructor & Destructor Documentation

MSRPProtocol::Message::Chunk::Chunk | ( | const PString & | id,
|  | unsigned | from,
|  | unsigned | len |
| ) |  |  | `[inline]`

## Field Documentation

PString MSRPProtocol::Message::Chunk::m_chunkId

unsigned MSRPProtocol::Message::Chunk::m_rangeFrom

unsigned MSRPProtocol::Message::Chunk::m_rangeTo

The documentation for this struct was generated from the following file:

- msrp.h